package ru.m.puzzlez.render;

import haxework.signal.Signal;
import haxework.view.IView;
import ru.m.puzzlez.core.GameEvent;

interface IRender extends IView<Dynamic> {
    public var signal(default, null):Signal<GameEvent>;
    public var scale(get, set):Float;
    public function onGameEvent(event:GameEvent):Void;
}
